These are chat archives for HotswapProjects/user

30th
Nov 2016
Alberto Fanjul
@albfan
Nov 30 2016 09:19
I have added links to sources for jboss modules versions related to #158 issue.
Vladimir Dvorak
@skybber
Nov 30 2016 09:34
Thanks, are you able to fix it?
Alberto Fanjul
@albfan
Nov 30 2016 09:37
That's my intention. I'm adding all neccesary info to prepare two environments and check how jboss-modules 1.4.4 works correctly and 1.3.0 do not. I do from restart to restart hahaha. Man, nobody at redhat cares for this? incredible
Vladimir Dvorak
@skybber
Nov 30 2016 09:38
Problem is probably in patching tah HotswapAgent does, not Jboss
Thay did some change between 1.3 and 1.4 that causes that HA fails
May be there is another problem. The key for you is to understand how the ClassLoading hiearchi works in the servlet containers.
Alberto Fanjul
@albfan
Nov 30 2016 09:43
Thanks I will review that. let's challenge them anyway https://twitter.com/albfanjul/status/803897083409399808
Vladimir Dvorak
@skybber
Nov 30 2016 09:45
btw, working Hotswap agent is very good way how to learn java frameworks internaly.
Frameworks, classloaders, JVM
I'm soryy, working on HotswapAgent
Alberto Fanjul
@albfan
Nov 30 2016 09:48
Sure. I want to dig into this to speed up my team workflow in any project, this time is jboss. but next tweak could be on spring plugin, hibernate, whatever
Vladimir Dvorak
@skybber
Nov 30 2016 09:49
please don't send too many information to the #158 issue. we have many followers and it could be little bit disturbing since they receive emails ...
you can write it directly here
Alberto Fanjul
@albfan
Nov 30 2016 09:52
Ok. Issue is my log to work on problem. My idea is collect there relevant info to solve issue. I think I will not fix it this week.
Vladimir Dvorak
@skybber
Nov 30 2016 09:53
btw my techmology stack is very similar, I'working on JSF/Primefaces. As I've seen you have JSF 2.1.19, if you're using mojarra as an JSF implementation then the version 2.1.19 is buggy and slow, mojarra made some significant improvement in 2.1.21 as I know...
sorry, they fixed it in 2.1.22
Alberto Fanjul
@albfan
Nov 30 2016 09:55
I will inform that to my team, thanks
2.1.7 indeed
Vladimir Dvorak
@skybber
Nov 30 2016 10:01
may be you have myfaces, this is another implementation from apache and this one is better than mojarra
Alberto Fanjul
@albfan
Nov 30 2016 10:03
no we use primefaces, but a year old version 5.2. jsf it is defined on project as 2.1.7. I'm trying 2.1.22. Next I will try 2.2.14 and see how it goes
fuck, It is a provided dependency on jboss eap 6.2 jboss-eap-6.2\modules\system\layers\base\javax\faces\api\main\jboss-jsf-api_2.1_spec-2.1.19.1.Final-redhat-1.jar
Vladimir Dvorak
@skybber
Nov 30 2016 10:05
ok, primefaces is framework on top of JSF specification and there are 2 JSF implementation - mojarra and myfaces, you should have one of them in your project.
Alberto Fanjul
@albfan
Nov 30 2016 10:06
nothing we can change
Vladimir Dvorak
@skybber
Nov 30 2016 10:06
AHA! I didn't know anything about that
this is internal implementation in the EAP....